Users
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
OK
*/*
idinteger · int64RequiredExample:
Unique identifier of the user
1usernamestringRequiredExample:
Username of the user
john_doe401
Unauthorized
*/*
403
Forbidden
*/*
409
Conflict
*/*
500
Internal Server Error
*/*
get
/api/usersAuthorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
musernamestring · min: 1RequiredExample:
Username of the user
john_doempasswordstring · min: 1RequiredExample:
Password of the user
securepassword123namestringOptionalExample:
Full name of the user
John DoeResponses
200
OK
*/*
idinteger · int64RequiredExample:
Unique identifier of the user
1usernamestringRequiredExample:
Username of the user
john_doe401
Unauthorized
*/*
403
Forbidden
*/*
409
Conflict
*/*
500
Internal Server Error
*/*
post
/api/usersAuthorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Request to link a user to a competition
userIdinteger · int64RequiredExample:
ID of the user
1competitionIdinteger · int64RequiredExample:
ID of the competition
1001Responses
200
OK
*/*
Response indicating success
statusstringRequiredExample:
Status of the response
OK401
Unauthorized
*/*
403
Forbidden
*/*
409
Conflict
*/*
500
Internal Server Error
*/*
post
/api/users/linkAuthorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
currentPasswordstringRequired
newPasswordstringRequired
Responses
200
OK
*/*
Response indicating success
statusstringRequiredExample:
Status of the response
OK401
Unauthorized
*/*
403
Forbidden
*/*
409
Conflict
*/*
500
Internal Server Error
*/*
post
/api/users/change-passwordAuthorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
OK
*/*
musernamestringOptional
mpasswordstringOptional
namestringOptional
idinteger · int64Optional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
isAdminbooleanRequired
usernamestringOptional
passwordstringOptional
enabledbooleanOptional
credentialsNonExpiredbooleanOptional
accountNonExpiredbooleanOptional
accountNonLockedbooleanOptional
401
Unauthorized
*/*
403
Forbidden
*/*
409
Conflict
*/*
500
Internal Server Error
*/*
get
/api/users/meLast updated